Skip to content
Skip to main content
POST
/v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-events

Create group event

Creates a group event in the specified Configuration.

NYLAS API KEY

Parameters

Path parameters

grant_id*string

The ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

configuration_id*string

The ID of the Configuration object to access.

Request body

Create a group event

calendar_id*string

The ID of the calendar to access.

Example: "primary"
capacity*integer

The maximum number of attendees allowed in the event.

Default: 10
Example: 50
min: 1max: 500
conferencingobject

An object that lets you automatically create a conference, or enter conferencing details manually.

descriptionstring

A brief description of the group event (for example, its agenda). Nylas might return the description as an HTML string, depending on how the provider formats it.

Example: "Come ready to talk philosophy today!"
locationstring

The location of the group event (for example, a physical address or the name of a meeting room).

Example: "New York Public Library, Cave Room"
maxLength: 255
participants*object

A list of participants to be included in the group event.

recurrencearray<string>

An array of RRULE and EXDATE strings. Nylas includes this field only if the event is the main (master) event. See RFC-5545 for more details. You can use this tool to learn more about the RRULE spec.

Events inherit their timezone from the when object. Nylas recommends that you use the when object to specify the event's start and end time.

Provider specifics:

  • Virtual calendars don't support DTSTART or TZID.
  • iCloud accounts do not support recurring events for group events
  • Microsoft Graph adds one day to the UNTIL date.
Example: ["RRULE:FREQ=WEEKLY;BYDAY=MO","EXDATE:20210405T000000Z"]
title*string

The name of the group event.

Example: "Annual Philosophy Club Meeting"
maxLength: 1024
when*object

An object representing the time and duration of the group event.

Responses

request_idstring

The request ID.

dataarray<object>
POSThttps://api.us.nylas.com/v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-events

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

The ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

configuration_idrequiredstring

The ID of the Configuration object to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.